Bug 734679 - Remove DigiNotar CA cert from RHEL packages [fedora-all]
Summary: Remove DigiNotar CA cert from RHEL packages [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ca-certificates
Version: 15
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 734381
TreeView+ depends on / blocked
 
Reported: 2011-08-31 06:54 UTC by Huzaifa S. Sidhpurwala
Modified: 2011-09-12 16:06 UTC (History)
5 users (show)

Fixed In Version: ca-certificates-2011.78-1.fc15
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-09 05:31:56 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2011-08-31 06:54:00 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=734381

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2011-09-01 15:14:49 UTC
ca-certificates-2011.78-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ca-certificates-2011.78-1.fc14

Comment 2 Fedora Update System 2011-09-01 15:16:14 UTC
ca-certificates-2011.78-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ca-certificates-2011.78-1.fc15

Comment 3 Fedora Update System 2011-09-01 15:31:15 UTC
ca-certificates-2011.78-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ca-certificates-2011.78-1.fc16

Comment 4 Fedora Update System 2011-09-02 05:28:31 UTC
Package ca-certificates-2011.78-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ca-certificates-2011.78-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ca-certificates-2011.78-1.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-07 00:21:59 UTC
ca-certificates-2011.78-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-09-07 03:23:30 UTC
ca-certificates-2011.78-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-09-09 05:31:50 UTC
ca-certificates-2011.78-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 François Kooman 2011-09-12 15:09:43 UTC
It seems this bug is not entirely resolved. Some certificates that Firefox 6.0.2 blocks are not blocked when you use e.g. curl.

Unfortunately the hosts to test agains are rapidly diminishing. Some are still here: https://docs.google.com/spreadsheet/ccc?pli=1&key=0AtLNtYDDyKsudG1lc2xmRDZRNTBkdXR1M0gzelZ3MkE&hl=en_GB#gid=0.

curl https://www.ausp.nl

This should probably not work (Firefox blocks this site).

CONNECTED(00000003)
depth=2 C = US, O = Entrust.net, OU = www.entrust.net/CPS incorp. by ref. (limits liab.), OU = (c) 1999 Entrust.net Limited, CN = Entrust.net Secure Server Certification Authority
verify error:num=19:self signed certificate in certificate chain
verify return:1
depth=2 C = US, O = Entrust.net, OU = www.entrust.net/CPS incorp. by ref. (limits liab.), OU = (c) 1999 Entrust.net Limited, CN = Entrust.net Secure Server Certification Authority
verify return:1
depth=1 C = NL, O = DigiNotar, CN = DigiNotar Services 1024 CA, emailAddress = info@diginotar.nl
verify return:1
depth=0 C = NL, O = European Business Process Institute (EBPI) B.V. (0030217488), L = Amerongen Van Reede Ginckellaan 14  (0000), OU = SSL Servercertificaat - Zie CPS, serialNumber = RP070001002006161, CN = *.ausp.nl
verify return:1

Comment 9 Joe Orton 2011-09-12 15:57:20 UTC
"DigiNotar Services 1024 CA" is one of the intermediate DigiNotar CA certs which was cross-certified to a different root, see: 

https://bugzilla.mozilla.org/show_bug.cgi?id=683455

Technically there is nothing we do change the ca-bundle.crt in this package to work around that.  It might be possible for users to work around it by importing an appropriate CRL into the $HOME/.pki directory, but I wouldn't know how to configure that or whether it is even possible.

We could change the ca-bundle.trust.crt to carry these intermediate certs with the "rejected" trust bit set, but the NSS/PEM integration stuff would have to be changed to parse the X509_TRUST format used in ca-bundle.trust.crt

Comment 10 Joe Orton 2011-09-12 16:06:02 UTC
That should read: "Technically there is nothing we can do to change...".


Note You need to log in before you can comment on or make changes to this bug.